<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/xvalidation/expressions/expressionTemplate.xhtml" id="ex_#{expression.fakeId}">
        <ui:param name="expression" value="#{expression}"/>
        <ui:param name="expressionName" value="#{expression.logicalOperator.value}"/>
        <ui:define name="expressionBody">
            <c:forEach items="#{expression.expressionSet}" var="ex"
                       rendered="#{not empty expression.expressionSet}">
                <ui:include src="#{ex.getEditLink()}">
                    <ui:param name="expression" value="#{ex}"/>
                </ui:include>
            </c:forEach>
            <div class="btn-group">
                <button type="button" class="gzl-btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.AddExpression']}
                    <span class="caret"/>
                </button>
                <ui:include src="/xvalidation/expressions/_listExpressionButtons.xhtml">
                    <ui:param name="targetId" value="#{expression.fakeId}"/>
                </ui:include>
            </div>
            <a4j:commandButton rendered="#{ruleEditorManager.exToMoveFakeId != null}"
                               value="#{messages['net.ihe.gazelle.xval.MoveHere']}" styleClass="gzl-btn gzl-btn-blue"
                               actionListener="#{ruleEditorManager.moveTo(expression.fakeId)}"
                               render="workingBoard"/>
        </ui:define>
    </s:decorate>
</ui:composition>
